## org.apache.batik.apps.svgbrowser
Class NodePickerPanel.AttributesTableModelListener

    java.lang.Object
      org.apache.batik.apps.svgbrowser.NodePickerPanel.AttributesTableModelListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TableModelListener

Enclosing class:
  NodePickerPanel

    protected class NodePickerPanel.AttributesTableModelListener

extends java.lang.Object
implements javax.swing.event.TableModelListener

Listens for the changes in the table and updates this node picker panel if needed.

Constructor Summary
`protected` `NodePickerPanel.AttributesTableModelListener()`

Method Summary
`void` `tableChanged(javax.swing.event.TableModelEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodePickerPanel.AttributesTableModelListener

    protected NodePickerPanel.AttributesTableModelListener()

Method Detail

### tableChanged

    public void tableChanged(javax.swing.event.TableModelEvent e)

  Specified by:
    `tableChanged` in interface `javax.swing.event.TableModelListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.